//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <VCLTee.TeCanvas.hpp>	// Pascal unit
#include <VCLTee.TeeProcs.hpp>
#include <Vcl.ComCtrls.hpp>
#include <Vcl.ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TMyBaseTree : public Teeprocs::TCustomTeePanelExtended
{
private:
	TRect IBounds2D;

protected:

	virtual void __fastcall InternalDraw(const Types::TRect &UserRectangle);
	TRect __fastcall Rectangle2DPosition(const TRect &R);

public:

	__fastcall TMyBaseTree(Classes::TComponent* AOwner);
};
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TTrackBar *TrackBar1;
	TLabel *Label1;
	void __fastcall TrackBar1Change(TObject *Sender);
private:	// User declarations

	TMyBaseTree * pTree;

public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
