//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TMyBaseTree::TMyBaseTree(Classes::TComponent* AOwner)
	: TCustomTeePanelExtended(AOwner)
{
	Align = alClient;
	Color = clWhite;
}
//---------------------------------------------------------------------------

void __fastcall TMyBaseTree::InternalDraw(const Types::TRect &R)
{
	bool Old = AutoRepaint;
	AutoRepaint = 0;

	PanelPaint(R);
	ReCalcWidthHeight();
	InternalCanvas->Projection(100, ChartBounds, ChartBounds);
	Canvas->ClipRectangle(ChartBounds);
//
	IBounds2D = Rectangle2DPosition(ChartBounds);

	UnicodeString Str = "This is a test";
	Canvas->RotateLabel3D(R.Left + 200, R.Top + 100, 0, Str, 0);

	Canvas->Brush->Style = bsClear;

	TRect ARect = TRect(R.left + 200, R.Top + 100, R.left + 400, R.Top + 300);
	Canvas->RectangleWithZ(ARect, 0);
	AutoRepaint = Old;
}
//---------------------------------------------------------------------------
TRect __fastcall TMyBaseTree::Rectangle2DPosition(const TRect &R)
{
    int l = R.Left;
    int t = R.top;
    int r = R.Right;
    int b = R.bottom;

    Canvas->Calculate2DPosition(l, t, 0);
	Canvas->Calculate2DPosition(r, b, 0);

    return TRect(l, t, r, b);
}

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
	pTree = new TMyBaseTree(this);
	pTree->Parent = this;
	pTree->Show();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::TrackBar1Change(TObject *Sender)
{
	pTree->View3DOptions->Zoom = TrackBar1->Position;
}
//---------------------------------------------------------------------------


